QuoteRequest (3.14.0 310 API)
Date: 2018-05-30

com.marketfactory.api

## Class QuoteRequest

- java.lang.Object
- - com.marketfactory.api.QuoteRequest

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<QuoteRequest>

      public final class QuoteRequest
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<QuoteRequest>, java.io.Serializable

  A request to stream quotes.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFFloat` | `amount` A currency amount/size, in MFFloat format.
    `java.lang.String` | `detail`
    `int` | `feedID` A unique identifier for the feed.
    `boolean` | `isBaseSpecified`
    `int` | `marketID` A market ID, which identifies a unique financial instrument.
    `java.lang.String` | `mdStreamID`
    `java.lang.String` | `quoteReqID`
    `long` | `settlDate`
    `Side` | `side` Which side the request is for.
    `long` | `timeApiClient` Timestamp at the client API (taken on the client host).
    `long` | `timeApiServer` Timestamp in the client handler within Whisperer.
    `long` | `timeHandler` Timestamp exiting the feed handler within Whisperer.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `QuoteRequest()`
    `` | `QuoteRequest(int feedID, int marketID, boolean isBaseSpecified, java.lang.String quoteReqID, java.lang.String mdStreamID, MFFloat amount, Side side, long settlDate, long timeApiClient, long timeApiServer, long timeHandler, java.lang.String detail)`
    `protected` | `QuoteRequest(ProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(QuoteRequest rhs)`
    `void` | `deserialize(ProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `void` | `serialize(ProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### feedID

          public int feedID

      A unique identifier for the feed.

    - #### marketID

          public int marketID

      A market ID, which identifies a unique financial instrument.

    - #### isBaseSpecified

          public boolean isBaseSpecified

    - #### quoteReqID

          public java.lang.String quoteReqID

    - #### mdStreamID

          public java.lang.String mdStreamID

    - #### amount

          public MFFloat amount

      A currency amount/size, in MFFloat format.

    - #### side

          public Side side

      Which side the request is for.

    - #### settlDate

          public long settlDate

    - #### timeApiClient

          public long timeApiClient

      Timestamp at the client API (taken on the client host).

    - #### timeApiServer

          public long timeApiServer

      Timestamp in the client handler within Whisperer.

    - #### timeHandler

          public long timeHandler

      Timestamp exiting the feed handler within Whisperer.

    - #### detail

          public java.lang.String detail

  - ### Constructor Detail

    - #### QuoteRequest

          public QuoteRequest()

    - #### QuoteRequest

          protected QuoteRequest(ProtoByteBuffer buffer)

    - #### QuoteRequest

          public QuoteRequest(int feedID,
                              int marketID,
                              boolean isBaseSpecified,
                              java.lang.String quoteReqID,
                              java.lang.String mdStreamID,
                              MFFloat amount,
                              Side side,
                              long settlDate,
                              long timeApiClient,
                              long timeApiServer,
                              long timeHandler,
                              java.lang.String detail)

  - ### Method Detail

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(QuoteRequest rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<QuoteRequest>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserialize

          public void deserialize(ProtoByteBuffer buffer)

      Specified by:
        `deserialize` in interface `IMessage`

    - #### serialize

          public void serialize(ProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)